#include<bits/stdc++.h>
#define all(p) p.begin(),p.end()
using namespace std;
#define int long long
signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    int a[n + 1], b[n + 1];
    int ans = 0;
    int sum = 0;
    for (int i = 1; i <= n; i++) {
        cin >> a[i] >> b[i];
        sum += a[i] + b[i] * (i - 1);
        ans = max(ans, sum);
    }
    int p[n + 1];
    // int dp[n + 1][n + 1];
    // for (int i = 0; i <= n; i++) {
    //     for (int j = 0; j <= n; j++) {
    //         dp[i][j] = -LLONG_MAX / 2;
    //     }
    // }
    // dp[0][0] = 0;
    // for (int i = 1; i <= n; i++) {
    //     int mx = -LLONG_MAX / 2;
    //     for (int j = 0; j < i; j++) {
    //         mx = max(mx, dp[i - 1][j]);
    //         dp[i][j] = max(dp[i][j], mx + j * b[i] + a[i]);
    //         ans = max(ans, dp[i][j]);
    //         // cout << dp[i][j] << ' ';
    //     }
    //     // cout << endl;
    // }
    cout << ans;
}